body {
  margin: 0;
  /*font-family: Arial, Helvetica, sans-serif;*/
  
  font-family: Lato, Arial, Helvetica, sans-serif;
}


.active {
  background-color: #4CAF50;
/*  color: white;*/
}

A:link {
	COLOR: #ffffff; TEXT-DECORATION: none;
}
A:visited {
	COLOR: #ffffff; TEXT-DECORATION: none;
}
A:active {
	COLOR: #ffffff; TEXT-DECORATION: none;
}
A:hover {
	text-decoration:none; color: #ffffff; 
}
A.nohover:hover {
	background-color: transparent; 
}
A.nohover2:hover {
	background-color: transparent; 
	text-decoration:none; 
	border: 0;
}


.kuvakategoriat {
background-color:#4CAF50;
	
text-align:center;
color: #fff;
}

.r_img{
    max-width: 100%;
    height: auto;
}

.img_shadow {
box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.kuvakategoriat_otsikko {
background: #3B9E40;
text-align:center;
color: #fff;
}

.kuvakategoriat_nav a {

  color: #fff;
  text-align: center;
  padding: 13px;
  margin: 0px;
  text-decoration: none;
  font-size: 14px;
  line-height: 43px;
  white-space: nowrap;
}

.kuvakategoriat_nav a:hover {
  background-color: #fff;
  color: black;
}

.kuvakategoriat_nav a.active {
  background-color: #fff;
  color: #000;
}


.kuvakategoriat_tarrateippaukset {
background-color:#2A8D30;
text-align:center;
color: #fff;
}

.kuvakategoriat_nav_tarrateippaukset a.active {
  background-color: #3B9E40;
  color: #fff;
}



.kuvakategoriat_valokuvaus {
background-color: #0063A3;
text-align:center;
color: #fff;
}

.kuvakategoriat_nav_valokuvaus_yla a.active {
background-color: #2185C5; 
color:#fff;
font-weight:bold;
}

.kuvakategoriat_nav_valokuvaus a.active {
/*background-color: #2185C5; */
background-color: #2185C5;
/*color:#AF0;*/
color:#af0;
font-weight:bold;
}
.kuvakategoriat_nav_valokuvaus a {
color:#fff;
}




.selite {
	padding: 15px;
		font-size: 15px;
}


.accordion {
    background-color: #fff;
    color: #444;
    cursor: pointer;
    padding: 18px;
    padding: 4px 10px 4px 10px;

    width: 96%;

    text-align: center;

    outline: none;
    transition: 0.4s;
	
	border-top: 0px solid #eee;
	border-bottom: 1px solid #eee;
	margin-bottom: 0px;

}


.accordion_active, .accordion:hover {
    background-color: #4CAF50;
	color:#fff;
}

.accordion:after {
    content: '\002B'; //plus 
/*     content: '\25BD'; //nuoli alas */
    color: #777;
    font-weight: bold;
    float: right;
    margin-left: 5px;
}

.accordion_active:after {
     content: "\2212";  alkup 
 /*   content: "\25B3"; //nuoli ylös */
}

.panel {
	width: 96%;
    padding: 1px 10px 1px 10px;
    background-color: #f6f6f6;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
}





.menu-grid-container {
	  display: grid;
	   grid-template-columns: auto auto;
	   
}



.menu-grid-item1 {
margin: auto;

}


.menu-right-floater {
float: right;
}





.topnav {
  overflow: hidden;
  background-color: #333;
}

.topnav a {
  float: left;
  display: block;
  color: #f4f4f4;
  text-align: center;
  padding: 30px 10px;
  text-decoration: none;
  font-size: 17px;
  text-shadow: 2px 2px 4px #000000;
}

/*.topnav a:hover {
  background-color: #ddd;
  color: black;
}*/

.video-responsive{
    overflow:hidden;
    padding-bottom:56.25%;
    position:relative;
    height:0;
}
.video-responsive iframe{
    left:0;
    top:0;
    height:100%;
    width:100%;
    position:absolute;
}


.menuhover:hover {    
  background-color: #ddd;

   }

.menu_etusivu:hover {
  background-color: #FF7744;
  background: linear-gradient(to bottom, #f87a53 0%, #FF7744 100%);
  color: white;
    border-radius: 10px;
  border: -2px solid #43A7E7;
	} 

.menu_etusivu_active {
  background-color: #FF7744;
  color: white;
  border-radius: 10px;
  border: -2px solid #43A7E7;
	} 


.menu_etusivu_active:link {
	COLOR: white;
}
.menu_etusivu_active:visited {
	COLOR: white;
}
.menu_etusivu_active:active {
	COLOR: white;
}




.menu_videotuotannot:hover {
  background-color: #0063A3;
  background: linear-gradient(to bottom, #3396d6 0%, #0063A3 100%);
  color: #fff;
  border-radius: 10px;
  border: -2px;
} 
a.menu_videotuotannot {
} 
.menu_videotuotannot_active {
  background-color: #0063A3;
  color: white;
  border-radius: 10px;
  border: -2px;
}


.menu_valokuvaus:hover {
	background-color: #1175b5;
	background: linear-gradient(to bottom, #44a8e8 0%, #1175b5 100%);
  	color: #fff;
  border-radius: 10px;
  border: -2px solid #43A7E7;
} 

a.menu_valokuvaus {
} 
.menu_valokuvaus_active {
  background-color: #1175b5;
  color: white;
    border-radius: 10px;
  border: -2px solid #43A7E7;
}

.menu_ilmakuvaus:hover {
	  background-color: #2d91D1;
	  background: linear-gradient(to bottom, #5fc4f4 0%, #2d91D1 100%);
  	  color: #fff;
  border-radius: 10px;
  border: -2px solid #43A7E7;
} 
a.menu_ilmakuvaus {
} 
.menu_ilmakuvaus_active {
  background-color: #2d91D1;
  color: white;
    border-radius: 10px;
  border: -2px solid #43A7E7;
}

.menu_tarrateippaukset:hover {
	  background-color: #2B8D30;
	  background: linear-gradient(to bottom, #5ebe63 0%, #2B8D30 100%);
  color: #fff; 
    border-radius: 10px;
  border: -2px solid #43A7E7;
	}   
a.menu_tarrateippaukset {
}
.menu_tarrateippaukset_active {
  background-color: #2B8D30;
  color: white;
    border-radius: 10px;
  border: -2px solid #43A7E7;
}
   
.menu_graafinen_suunnittelu:hover {
	  background-color: #3b9e40;
	  background: linear-gradient(to bottom, #6ebe73 0%, #3b9e40 100%);
  color: #fff;
    border-radius: 10px;
  border: -2px solid #43A7E7;
	}

a.menu_graafinen_suunnittelu {
} 

.menu_graafinen_suunnittelu_active {
  background-color: #3b9e40;
  color: white;
    border-radius: 10px;
  border: -2px solid #43A7E7;
}	   

.menu_yhteystiedot:hover {
	background-color: #FF7744;
	background: linear-gradient(to bottom, #f87a53 0%, #FF7744 100%);
  color: white;
    border-radius: 10px;
  border: -2px solid #43A7E7;
	} 


.menu_yhteystiedot_active {
  background-color: #FF7744;
  color: white;
    border-radius: 10px;
  border: -2px solid #43A7E7;
}	 


.menu_yhteystiedot_active:link {
	COLOR: white;
}
.menu_yhteystiedot_active:visited {
	COLOR: white;
}
.menu_yhteystiedot_active:active {
	COLOR: white;
}


.icon:hover {
	  background-color: #333;
	} 




.topnav .icon {
  display: none;
}
  .erotin {
	float:left;
	}



@media screen and (max-width: 1320px) {
   .menu-grid-container {
	   grid-template-columns: 50% 50%;
	  }
	  .topnav a {
  padding: 13px 10px;
    font-size: 15px;
	  }	 
	.erotin {
	float:none;
	}
}


}

@media screen and (max-width: 1150px) {
   .menu-grid-container {
	   grid-template-columns: 40% 60%;
	  }
}



/* ennen www oli tämä käytössä
@media screen and (max-width: 1210px) {
   .menu-grid-container {
	   grid-template-columns: 55% 45%;
	  }
	  .topnav a {
  padding: 13px 10px;
	  }	 
	.erotin {
	float:none;
	}
}
*/


/*@media screen and (max-width: 1120px) {
   .menu-grid-container {
	   grid-template-columns: 50% 50%;
	  }

}*/


@media screen and (max-width: 1035px) {
   .menu-grid-container {
	   grid-template-columns: 40% 60%;
	  }
	   	  .topnav a {
      font-size: 16px;
	  }
}

@media screen and (max-width: 910px) {
   .menu-grid-container {
	   grid-template-columns: 40% 60%;
	  }
	  	   	  .topnav a {
  padding: 12px 10px;
    font-size: 14px;
	  }
}



@media screen and (max-width: 815px) {
   .menu-grid-container {
	   grid-template-columns: 40% 60%;
	  }
	  	  	  	  .topnav a {
  padding: 11px 8px;
	  }
}



@media screen and (max-width: 780px) {
   .menu-grid-container {
	   grid-template-columns: 36% 64%;
	  }
	  	   	  .topnav a {
  padding: 9px 8px;
    font-size: 14px;
	  }
}

@media screen and (max-width: 735px) {
   .menu-grid-container {
	   grid-template-columns: 36% 64%;
	  }
	  	   	  .topnav a {
  padding: 9px 8px;
    font-size: 13px;
	  }

}

@media screen and (max-width: 690px) {
   .menu-grid-container {
	   grid-template-columns: 36% 64%;
	  }
	  	   	  .topnav a {
  padding: 7px 6px;

	  }

}


@media screen and (max-width: 547px) {
	
	
	
	 .topnav a {
  padding: 28px 10px;
      font-size: 17px;
	  }
	
  .menu-grid-item2 a:not(.active) {display: none;}
  .topnav a.icon {
    float: right;
    display: block;
  }

  .topnav.responsive {position: relative;}
  .topnav.responsive .icon {
    float: left;
  }
  .topnav.responsive a {
    display: block;
    text-align: center;
	width: 100%;
  padding: 10px 10px;
  }
  
  
  .menu-grid-container {
	   grid-template-columns: 50% 50%;
}
  .menu-grid-container.responsive {
	   grid-template-columns: auto;
}


}




@media screen and (max-width: 435px) {
	  .menu-grid-item2 a {display: none;}
  .topnav a.icon {
    display: block;
  }
  
   .menu-grid-container {
	   grid-template-columns: 80% 20%;
	  }
}

@media screen and (max-width: 350px) {
	  .menu-grid-item2 a {display: block;}
	  .menu-grid-container {
	   grid-template-columns: 100%;
	  }
	    .topnav a {
  padding: 10px 10px;
}
   .menu-right-floater {
	width: 100%;
}


}




/*==================================================
 * Effect 2
 * ===============================================
*/
.box h3{
  text-align:center;
    position:relative;
    
}
.box {
    width:100%;
      line-height:0px;
    background:#FFF;
    margin:40px auto;
}


.effect2
{
  position: relative;
}
.effect2:before, .effect2:after
{
  z-index: -1;
  position: absolute;
  content: "";
  bottom: 15px;
  left: 10px;
  width: 50%;
  top: 80%;
  max-width:300px;
  background: #777;
  -webkit-box-shadow: 0 15px 10px #777;
  -moz-box-shadow: 0 15px 10px #777;
  box-shadow: 0 15px 10px #777;
  -webkit-transform: rotate(-3deg);
  -moz-transform: rotate(-3deg);
  -o-transform: rotate(-3deg);
  -ms-transform: rotate(-3deg);
  transform: rotate(-3deg);
}
.effect2:after
{
  -webkit-transform: rotate(3deg);
  -moz-transform: rotate(3deg);
  -o-transform: rotate(3deg);
  -ms-transform: rotate(3deg);
  transform: rotate(3deg);
  right: 10px;
  left: auto;
}


/* ''''' */


.shadow1 {
  margin: 40px;
  background-color: rgb(68,68,68); /* Needed for IEs */

  box-shadow: 5px 5px 5px rgba(68, 68, 68, 0.6);

}
.shadow1 .content1 {
  position: relative; /* This protects the inner element from being blurred */
  padding: 100px;
  background-color: #DDD;

}


/* ''''' */

div.polaroid_shadow {
 
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  padding: 0;
  margin: 0;
  line-height:0px;
}









/* FOOTER */


#website{ display:none; }
#email{ display:none; }

.footer-distributed h3 span{
	color:  #5383d3;
}

/* Footer links */

.footer-distributed .footer-links{
	color:  #ffffff;
	margin: 0 0 10px;
	padding: 0;
}

.footer-distributed .footer-links a{
	display:inline-block;
	line-height: 1.8;
	text-decoration: none;
	color:  inherit;
}

.footer-distributed .footer-company-name{
	color:  #8f9296;
	font-size: 14px;
	font-weight: normal;
	margin: 0;
}

/* Footer social icons */

.footer-distributed .footer-icons{
	margin-top: 40px;
}

.footer-distributed .footer-icons a{
	display: inline-block;
	width: 35px;
	height: 35px;
	cursor: pointer;
	background-color:  #33383b;
	border-radius: 2px;

	font-size: 20px;
	color: #ffffff;
	text-align: center;
	line-height: 35px;

	margin-right: 3px;
	margin-bottom: 5px;
}

/* Footer Right */

.footer-distributed .footer-right{
/*	float: right;*/
}

.footer-distributed .footer-right p{

	vertical-align: top;
	/* margin: 15px 42px 0 0; */
	color: #ffffff;
}

/* The contact form */

.footer-distributed form{
	display: inline-block;
}

.footer-distributed form input,
.footer-distributed form textarea{
	display: block;
	border-radius: 3px;
	box-sizing: border-box;
	background-color:  #1f2022;
	box-shadow: 0 1px 0 0 rgba(255, 255, 255, 0.1);
	border: none;
	resize: none;

	font: inherit;
	font-size: 14px;
	font-weight: normal;
	color:  #d1d2d2;

	width: 500px;
	padding: 18px;
}

.footer-distributed ::-webkit-input-placeholder {
	color:  #5c666b;
}

.footer-distributed ::-moz-placeholder {
	color:  #5c666b;
	opacity: 1;
}

.footer-distributed :-ms-input-placeholder{
	color:  #5c666b;
}


.footer-distributed form input{
	height: 55px;
	margin-bottom: 15px;
}

.footer-distributed form textarea{
	height: 120px;
	margin-bottom: 20px;
}

.footer-distributed form button{
	border-radius: 3px;
	background-color:  #33383b;
	color: #ffffff;
	border: 0;
	padding: 15px 50px;
	font-weight: bold;
	float: right;
}

/* If you don't want the footer to be responsive, remove these media queries */

@media (max-width: 1040px) {

	.footer-distributed {
		font: bold 14px sans-serif;
	}

	.footer-distributed .footer-company-name{
		font-size: 12px;
	}

	.footer-distributed form input,
	.footer-distributed form textarea{
		width: 400px;
	}

	.footer-distributed form button{
		padding: 10px 35px;
	}

}


@media (max-width: 900px) {
	.footer-distributed form input,
	.footer-distributed form textarea{
		max-width: 350px;
}
}
@media (max-width: 820px) {
	.footer-distributed form input,
	.footer-distributed form textarea{
		width: 300px;
}
}

/*@media (max-width: 750px) {

.footer-distributed form input,
	.footer-distributed form textarea{
		width: 550px;
}


	.footer-distributed{
		padding: 30px;
	}

	.footer-distributed .footer-left,
	.footer-distributed .footer-right{
		float: none;
		max-width: 300px;
		margin: 0 auto;
	}

	.footer-distributed .footer-left{
		margin-bottom: 40px;
	}

	.footer-distributed form{
		margin-top: 30px;
	}

	.footer-distributed form{
		display: block;
	}

	.footer-distributed form button{
		float: none;
	}
	
}*/


/*@media (max-width: 400px) {
	.footer-distributed form input,
	.footer-distributed form textarea{
		width: 300px;
}
}*/

/* ikonit */


.footer-distributed .footer-left i{
	background-color:  #33383b;
	color: #ffffff;
	font-size: 25px;
	width: 38px;
	height: 38px;
	border-radius: 50%;
	text-align: center;
	line-height: 42px;
	margin: 10px 15px 10px 0px;
	vertical-align: middle;
}

.footer-distributed .footer-left i.fa-envelope{
	font-size: 17px;
	line-height: 38px;
}

.footer-distributed .footer-left p{
	display: inline-block;
	color: #ffffff;
	vertical-align: middle;
	margin:0;
	}

.footer-distributed .footer-left p span{
	display:block;
	font-weight: normal;
	font-size:14px;
	line-height:2;
}

.footer-distributed .footer-left p a{
	color:  #5383d3;
	text-decoration: none;;
}


/* LOADER */

.loader {
  border: 10px solid #f3f3f3;
  border-radius: 50%;
  border-top: 10px solid #3498db;
  width: 85px;
  height: 85px;
  -webkit-animation: spin 2s linear infinite; /* Safari */
  animation: spin 2s linear infinite;
}

.loader_vihr {
  border: 10px solid #f3f3f3;
  border-radius: 50%;
  border-top: 10px solid #3B9E40;
  width: 85px;
  height: 85px;
  -webkit-animation: spin 2s linear infinite; /* Safari */
  animation: spin 2s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}



.painike {
  padding: 13px 29px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  -webkit-transition-duration: 0.4s; /* Safari */
  transition-duration: 0.4s;
  cursor: pointer;
  border-radius: 4px;
}

.painike_vihrea {
  background-color:transparent; 
  color: black; 
  border: 2px solid #4CAF50;
}
.painike_vihrea:hover {
    background-color: #4CAF50;
    color: white;
    border: 2px solid transparent;
}

.painike_sininen {
  background-color:transparent; 
  color: black; 
  border: 2px solid #43A7E7;
}
.painike_sininen:hover {
    background-color: #4CAF50;
    color: white;
    border: 2px solid transparent;
}

.painike_valkoinen {
  background-color:transparent; 
  color: white; 
  border: 2px solid #ffffff;
}
.painike_valkoinen:hover {
    background-color: #ffffff;
    color: black;
    border: 2px solid transparent;
}

.painike_valkoinen2 {
  background-color:transparent; 
  color: white; 
  border: 2px solid #ffffff;
}
.painike_valkoinen2:hover {
    background-color: #4CAF50;
    color: black;
    border: 2px solid transparent;
}

.painike_harmaa {
  background-color:transparent; 
  color: black; 
  border: 2px solid #666666;
}
.painike_harmaa:hover {
    background-color: #4CAF50;
    color: white;
    border: 2px solid transparent;
}


.painike_videon_paalla {
  background-color:transparent; 
  color: white; 
  border: 2px solid #dddddd;
}
.painike_videon_paalla:hover {
    background-color: #4CAF50;
    color: white;
    border: 2px solid transparent;
}



.painike_lisaa_satunnaisia_kuvia {
padding: 6px 8px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  line-height: 1,5;
  -webkit-transition-duration: 0.4s; /* Safari */
  transition-duration: 0.4s;
  cursor: pointer;
  border-radius: 2px;
  background-color: #888; 
  color: white; 
}
.painike_lisaa_satunnaisia_kuvia:hover {
    background-color: #555;
    color: white;
}